//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/InfoWidgets/ProjectLoadWarningDialog.h
//! @brief     Defines class ProjectLoadWarningDialog
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_INFOWIDGETS_PROJECTLOADWARNINGDIALOG_H
#define BORNAGAIN_GUI_VIEWS_INFOWIDGETS_PROJECTLOADWARNINGDIALOG_H

#include <QDialog>
#include <QString>

//! @class ProjectLoadWarningDialog
//! @brief The dialog to inform user about encountered problems during the loading of old project

class ProjectLoadWarningDialog : public QDialog {
public:
    ProjectLoadWarningDialog(QWidget* parent, const QStringList& details,
                             const QString& documentVersion);

private:
    QWidget* createWarningWidget();
    QLayout* buttonLayout();
    QString explanationText() const;

    QString m_projectDocumentVersion;
};

#endif // BORNAGAIN_GUI_VIEWS_INFOWIDGETS_PROJECTLOADWARNINGDIALOG_H
