//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/ProjectSettingsView.h
//! @brief     Defines class ProjectSettingsView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_PROJECTSETTINGSVIEW_H
#define BORNAGAIN_GUI_VIEWS_PROJECTSETTINGSVIEW_H

#include <QWidget>

class ProjectDocument;

namespace Ui {
class ProjectSettingsView;
}

//! Widget to define project settings
class ProjectSettingsView : public QWidget {
    Q_OBJECT

public:
    ProjectSettingsView(QWidget* parentWidget, ProjectDocument* document);

protected:
    virtual void showEvent(QShowEvent*) override;

private:
    //! Write entries in OptionsItem to UI
    void writeOptionsToUI();
    void writeFunctionalityToUI();
    void updateInformation();

    void onSingleInstrumentRadioToggled(bool newState);
    void onFunctionalityToggled();

private:
    Ui::ProjectSettingsView* m_ui;
    ProjectDocument* m_document;
};

#endif // BORNAGAIN_GUI_VIEWS_PROJECTSETTINGSVIEW_H
